Skip to main content
GET
/
api
/
tools
List Tools
curl --request GET \
  --url https://api.example.com/api/tools

Request

curl "https://app.orova.ai/api/tools?workspaceId=WORKSPACE_ID" \
  -H "x-api-key: YOUR_API_KEY"

Query parameters

ParameterTypeDefaultDescription
workspaceIdstringFilter by workspace

Response

{
  "data": [
    {
      "_id": "tool_abc123",
      "name": "Check Order Status",
      "type": "http",
      "description": "Use when the caller asks about their order status",
      "workspaceId": "WORKSPACE_ID",
      "createdAt": "2025-01-01T00:00:00.000Z"
    },
    {
      "_id": "tool_def456",
      "name": "HubSpot",
      "type": "integration",
      "templateId": "hubspot",
      "description": "CRM tools for HubSpot",
      "workspaceId": "WORKSPACE_ID",
      "createdAt": "2025-01-01T00:00:00.000Z"
    }
  ]
}